# Uses of Enum Class
org.eclipse.emf.cdo.lm.reviews.ReviewStatus

Packages that use ReviewStatus
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl

## Uses of ReviewStatus in org.eclipse.emf.cdo.lm.reviews

Fields in org.eclipse.emf.cdo.lm.reviews with type parameters of type ReviewStatus
Modifier and Type
Field
Description
`static final List<ReviewStatus>`
ReviewStatus.`VALUES`
A public read-only list of all the 'Review Status' enumerators.
Methods in org.eclipse.emf.cdo.lm.reviews that return ReviewStatus
Modifier and Type
Method
Description
`static ReviewStatus`
ReviewStatus.`get(int value)`
Returns the 'Review Status' literal with the specified integer value.
`static ReviewStatus`
ReviewStatus.`get(String literal)`
Returns the 'Review Status' literal with the specified literal value.
`static ReviewStatus`
ReviewStatus.`getByName(String name)`
Returns the 'Review Status' literal with the specified name.
`static ReviewStatus`
ReviewStatus.`getOutdated(boolean sourceOutdated, boolean targetOutdated)`
`ReviewStatus`
Review.`getStatus()`
Returns the value of the 'Status' attribute.
`static ReviewStatus`
ReviewStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReviewStatus[]`
ReviewStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type ReviewStatus
Modifier and Type
Method
Description
`void`
Review.`setStatus(ReviewStatus value)`
Sets the value of the '`Status`' attribute.

## Uses of ReviewStatus in org.eclipse.emf.cdo.lm.reviews.impl

Fields in org.eclipse.emf.cdo.lm.reviews.impl declared as ReviewStatus
Modifier and Type
Field
Description
`protected static final ReviewStatus`
ReviewImpl.`STATUS_EDEFAULT`
The default value of the '`Status`' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return ReviewStatus
Modifier and Type
Method
Description
`ReviewStatus`
ReviewsFactoryImpl.`createReviewStatusFromString(EDataType eDataType, String initialValue)`
`protected final ReviewStatus`
ReviewStatemachine.`getState(REVIEW review)`
`ReviewStatus`
ReviewImpl.`getStatus()`
`protected final ReviewStatus`
ReviewStatemachine.Client.`handleRestoreFinish(REVIEW review)`
`protected abstract ReviewStatus`
ReviewStatemachine.`handleRestoreFinish(REVIEW review)`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type ReviewStatus
Modifier and Type
Method
Description
`protected final void`
ReviewStatemachine.`setState(REVIEW review, ReviewStatus status)`
`void`
ReviewImpl.`setStatus(ReviewStatus newStatus)`